> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connections Endpoint

> Get all connections for a user, enriched with provider capability metadata.



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/users/{user_id}/connections
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/users/{user_id}/connections:
    get:
      tags:
        - 'External: Connections'
      summary: Get Connections Endpoint
      description: >-
        Get all connections for a user, enriched with provider capability
        metadata.
      operationId: get_connections_endpoint_api_v1_users__user_id__connections_get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
        - name: X-Open-Wearables-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Open-Wearables-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserConnectionWithCapabilities'
                title: >-
                  Response Get Connections Endpoint Api V1 Users  User Id 
                  Connections Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    UserConnectionWithCapabilities:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
        provider:
          type: string
          title: Provider
        provider_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider User Id
        provider_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Username
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
        id:
          type: string
          format: uuid
          title: Id
        status:
          $ref: '#/components/schemas/ConnectionStatus'
        last_synced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Synced At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        max_historical_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Historical Days
        rest_pull:
          type: boolean
          title: Rest Pull
          default: false
        webhook_stream:
          type: boolean
          title: Webhook Stream
          default: false
        webhook_ping:
          type: boolean
          title: Webhook Ping
          default: false
        webhook_callback:
          type: boolean
          title: Webhook Callback
          default: false
        live_sync_mode:
          anyOf:
            - $ref: '#/components/schemas/LiveSyncMode'
            - type: 'null'
        linked_user_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Linked User Ids
      type: object
      required:
        - user_id
        - provider
        - id
        - status
        - last_synced_at
        - created_at
        - updated_at
      title: UserConnectionWithCapabilities
      description: |-
        UserConnectionRead enriched with provider capability metadata.

        Extra fields are populated by the endpoint, not from the ORM model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionStatus:
      type: string
      enum:
        - active
        - revoked
        - expired
      title: ConnectionStatus
      description: Status of a user connection to a provider.
    LiveSyncMode:
      type: string
      enum:
        - pull
        - webhook
      title: LiveSyncMode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````